 /**
 * Here are some static helper functions
 **/
 
 /**
  * Parse a position like "A1" and convert it to array position like {0,1}
  **/
  public static int[] stringPositionToArray(String position)
  {
    int[] posArray= new int[2]; 
    //get row
    int row=Integer.parseInt(position.substring(1,2))-1;
    //get column
    int column=-1;
    switch (position.charAt(0)) {
      case 'A': column = 1; break;
      case 'B': column = 3; break;
      case 'C': column = 5; break;
      case 'D': column = 7; break;
    }
    if(row % 2 == 1)
      column--; //at uneven rows, the columns are shifted one left
    posArray[0]=row;
    posArray[1]=column;
    return posArray;
  }
  
  /**
  * Parse a position like {0,1} and convert it to array position like "A1"
  **/
   public static String arrayPositionToString(int[] arrayPosition)
   {
     int row = arrayPosition[0];
     int columnInt = arrayPosition[1];
     if(row % 2 == 1)
      columnInt++;
     char column='X';
     
     switch (columnInt) {
      case 1: column = 'A'; break;
      case 3: column = 'B'; break;
      case 5: column = 'C'; break;
      case 7: column = 'D'; break;
     }
     return column + Integer.toString(row+1);
   }
